TypeNullability (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.hibernate.engine.jdbc.internal
Enum TypeNullability

    java.lang.Object
      java.lang.Enum<TypeNullability>
          org.hibernate.engine.jdbc.internal.TypeNullability

All Implemented Interfaces:
  Serializable, Comparable<TypeNullability>

    public enum TypeNullability

extends Enum<TypeNullability>

Describes the instrinsic nullability of a data type as reported by the JDBC driver.

Enum Constant Summary
`NON_NULLABLE` The data type cannot accept nulls
`NULLABLE` The data type can accept nulls
`UNKNOWN` It is unknown if the data type accepts nulls

Method Summary
`static TypeNullability` | `interpret(short code)` Based on the code retrieved from `DatabaseMetaData.getTypeInfo()` for the `NULLABLE` column, return the appropriate enum.
`static TypeNullability` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TypeNullability[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NULLABLE

    public static final TypeNullability NULLABLE

  The data type can accept nulls

  See Also:
    `DatabaseMetaData.typeNullable`

### NON_NULLABLE

    public static final TypeNullability NON_NULLABLE

  The data type cannot accept nulls

  See Also:
    `DatabaseMetaData.typeNoNulls`

### UNKNOWN

    public static final TypeNullability UNKNOWN

  It is unknown if the data type accepts nulls

  See Also:
    `DatabaseMetaData.typeNullableUnknown`

Method Detail

### values

    public static TypeNullability[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TypeNullability c : TypeNullability.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TypeNullability valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### interpret

    public static TypeNullability interpret(short code)

  Based on the code retrieved from `DatabaseMetaData.getTypeInfo()` for the `NULLABLE` column, return the appropriate enum.

  Parameters:
    `code` - The retrieved code value.
  Returns:
    The corresponding enum.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.